Bug 1294997 - [Docs] [Director] 9.1. Updating Director Packages has wrong command: `sudo systemctl restart ...` "openstack-ironic discoverd" should be "openstack-ironic-discoverd"
[Docs] [Director] 9.1. Updating Director Packages has wrong command: `sudo sy...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity low
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 11:32 EST by John Fulton
Modified: 2016-04-13 00:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 00:44:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Fulton 2015-12-31 11:32:20 EST
In "Director Installation and Usage" Revision 7.2-1 Sun Dec 20 2015 there's a minor typo in "Chapter 9. Updating the Environment", 9.1. Updating Director Packages, in the "Important" section: 

$ sudo systemctl restart openstack-ironic-api openstack-ironic discoverd

The above should be:

$ sudo systemctl restart openstack-ironic-api openstack-ironic-discoverd

Here's an absolute link: 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/chap-Updating_the_Environment.html#sect-Updating_Director_Packages

Here it is working correctly with the above fixed: 

~~~
[stack@undercloud ~]$ sudo systemctl status openstack-ironic-api openstack-ironic-discoverd 
● openstack-ironic-api.service - OpenStack Ironic API service
   Loaded: loaded (/usr/lib/systemd/system/openstack-ironic-api.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2015-12-31 11:22:35 EST; 7s ago
 Main PID: 13711 (ironic-api)
   CGroup: /system.slice/openstack-ironic-api.service
           └─13711 /usr/bin/python2 /usr/bin/ironic-api

Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: File "/usr/lib64/python2.7/soc...e
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: self.flush()
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: File "/usr/lib64/python2.7/soc...h
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: self._sock.sendall(view[write_...)
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: File "/usr/lib/python2.7/site-...l
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: tail = self.send(data, flags)
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: File "/usr/lib/python2.7/site-...d
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: total_sent += fd.send(data[tot...)
Dec 31 11:22:39 undercloud.redhat.local ironic-api[13711]: error: [Errno 32] Broken pipe
Dec 31 11:22:41 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...8

● openstack-ironic-discoverd.service - Hardware introspection service for OpenStack Ironic
   Loaded: loaded (/usr/lib/systemd/system/openstack-ironic-discoverd.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2015-12-31 11:22:35 EST; 7s ago
 Main PID: 13708 (ironic-discover)
   CGroup: /system.slice/openstack-ironic-discoverd.service
           └─13708 /usr/bin/python2 /usr/bin/ironic-discoverd --config-file /etc/ironic-di...

Dec 31 11:22:35 undercloud.redhat.local systemd[1]: Started Hardware introspection servi...c.
Dec 31 11:22:35 undercloud.redhat.local systemd[1]: Starting Hardware introspection serv.....
Dec 31 11:22:37 undercloud.redhat.local ironic-discoverd[13708]: WARNING:ironic_discoverd....
Hint: Some lines were ellipsized, use -l to show in full.
[stack@undercloud ~]$ 
~~~

Here it is as typed in the document:

~~~
[stack@undercloud ~]$ sudo systemctl status openstack-ironic-api openstack-ironic discoverd 
● openstack-ironic-api.service - OpenStack Ironic API service
   Loaded: loaded (/usr/lib/systemd/system/openstack-ironic-api.service; enabled; vendor preset: disabled)
   Active: active (running) since Thu 2015-12-31 11:22:35 EST; 8min ago
 Main PID: 13711 (ironic-api)
   CGroup: /system.slice/openstack-ironic-api.service
           └─13711 /usr/bin/python2 /usr/bin/ironic-api

Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 2015-12-31 11:30:35.763 13711 ...-
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 2015-12-31 11:30:35.764 13711 ...1
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...8
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 2015-12-31 11:30:35.850 13711 ...2
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 2015-12-31 11:30:35.852 13711 ...3
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 2015-12-31 11:30:35.852 13711 D...
Dec 31 11:30:35 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...1
Dec 31 11:30:37 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...8
Dec 31 11:30:39 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...8
Dec 31 11:30:41 undercloud.redhat.local ironic-api[13711]: 172.16.0.1 - - [31/Dec/2015 11...8

● openstack-ironic.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

● discoverd.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)
Hint: Some lines were ellipsized, use -l to show in full.
[stack@undercloud ~]$ 
~~~
Comment 6 Andrew Dahms 2016-04-13 00:44:32 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.